import * as React from "react";
import type { IProjectionEditor } from "gabby-query-protocol-projection";
import { PredicateFormulaEditor } from "gabby-query-protocol-lib";
import type { TSerializedPredicateTree } from "gabby-query-protocol-lib";
import { TPredicateOperatorLabels } from "../type";
import type { TGabbyQueryProtocolContextType } from "./type";
export declare const GabbyQueryProtocolContext: React.Context<TGabbyQueryProtocolContextType | null>;
interface Props {
    children?: React.ReactNode;
    predicateFormulaEditor: PredicateFormulaEditor;
    projectionEditor: IProjectionEditor;
    operatorLabels?: TPredicateOperatorLabels;
    onChange?: (flatTree: TSerializedPredicateTree) => void;
}
declare const GabbyQueryProtocolContextProvider: ({ children, onChange, projectionEditor, operatorLabels, predicateFormulaEditor, }: Props) => JSX.Element;
export default GabbyQueryProtocolContextProvider;
