"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useProjectionSubjectProperties = void 0;
/* eslint-disable import/prefer-default-export */
var react_1 = __importDefault(require("react"));
var context_1 = require("../context");
var useProjectionSubjectProperties = function (projectionKey) {
    var _a = react_1.default.useContext(context_1.GabbyQueryProtocolContext), getProjectionItem = _a.getProjectionItem, updateProjectionSubject = _a.updateProjectionSubject;
    var updateSubject = function (updateProps) {
        updateProjectionSubject(projectionKey, updateProps);
    };
    return {
        projectedSubject: getProjectionItem(projectionKey),
        updateProjectionSubject: updateSubject,
    };
};
exports.useProjectionSubjectProperties = useProjectionSubjectProperties;
//# sourceMappingURL=useProjectionSubjectProperties.js.map